// jetzt vergleichen wir mal für "primitive Werte"
// erinnern wir und an "truthy" und "falsy"...
// zusätzlich zu equal() existiert noch strictEqual()

test('test', function() {
	equal( 0, false, '0 = false? equal sagt: true');
	strictEqual( 0, false, '0 = false? strictEqual sagt: false');
	deepEqual( 0, false, '0 = false? deepEqual sagt: false');
	equal( null, undefined, 'null = undefined? equal sagt: true');
	strictEqual( null, undefined, 'null = undefined? strictEqual sagt: false');
	deepEqual( null, undefined, 'null = undefined? deepEqual sagt: false');
})

// strictEqual und deepEqual verwenden intern === zum Vergleichen!!!
// wert- UND typgleich
